D4Science Infrastructure - Upgrade #12865
Upgrade # 12738 (Completed): D4Science Infrastructure Upgrade to gCube 4.13.0

D4Science Root VO upgrade to gCube 4.13
Nov 13, 2018 10:03 AM - Roberto Cirillo

Status: Completed Start date: Nov 19, 2018
Priority: Normal Due date: Nov 19, 2018
Assignee: Roberto Cirillo % Done: 100%
Target version: D4Science Infrastructure upgrade to

gCube 4.13
Infrastructure: Production
Description

Related issues:
Related to D4Science Infrastructure - Task #12789: DMPoolManger - Support Pyt... Closed Oct 26, 2018 Nov 19, 2018
Related to D4Science Infrastructure - Task #12444: Enable TLS/SSL on the mong... Closed Sep 10, 2018

History

#1 - Nov 13, 2018 10:15 AM - Roberto Cirillo
HostingNode

GHN to upgrade
e (POSTPONED) all enabling services (IS-Collector, IS-Registry): upgrade accounting libraries
WHN to upgrade

¢ (CNR) DONE all the instances under dataminer.garr.d4science.org
* (CNR) DONE all the instances under dataminer.prototypes.d4science.org
e (CNR) DONE all rstudio instances

¢ (CNR) DONE all geoserver instances

¢ (CNR) DONE all geonetwork instances

¢ (CNR) DONE dataminer-proto-ghost.d4science.org

¢ (CNR) DONE quota-plugin.d4science.org

¢ (CNR) DONE socialnetworking1.d4science.org

e (CNR) DONE sdi-d4s.d4science.org

¢ (CNR) DONE storagehub1.d4science.org

¢ (CNR) DONE thredds.d4science.org

* (CNR) DONE workspace-repository-prod1.d4science.org

Configuration

¢ (CNR) DONE upgrade MongoDB cluster to SSL

¢ (CNR) DONE upgrade StorageManagerTrigger to SSL

e (POSTPONED) for each IS-Collector and IS-Registry services: change accounting framework (excluded in SmartArea VO)
¢ (CNR) DONE update SAl and dm-pool-manager resources

Smartgears services

¢ (CNR) DONE dataminer.garr.d4science.org: upgrade all dataminer service instances

e (CNR) DONE dataminer.prototypes.d4science.org: upgrade all dataminer service instances
¢ (CNR) DONE dataminer-proto-ghost.d4science.org: upgrade dataminer service

¢ (CNR) DONE quota-plugin.d4science.org: upgrade accounting-storage-insert plugin

e (CNR) DONE socialnetworking1.d4science.org: upgrade socialnetworking service

¢ (CNR) DONE sdi-d4s.d4science.org: upgrade sdi service

¢ (CNR) DONE storagehub1.d4science.org upgrade storagehub webapp

e (CNR) DONE thredds.d4science.org upgrade sis-geotk plugin for sdi-library dependency

¢ (CNR) DONE workspace-repository-prod1.d4science.org upgrade HL webapp

WebApps
¢ (CNR) DONE data1-d4s.d4science.org: upgrade uri-resolver

¢ (CNR) DONE data2-d4s.d4science.org: upgrade uri-resolver
#2 - Nov 13,2018 10:16 AM - Roberto Cirillo
- Related to Task #12789: DMPoolManger - Support Python 3.6 added

#3 - Nov 13, 2018 10:25 AM - Roberto Cirillo
- Related to Task #12444: Enable TLS/SSL on the mongodb production cluster added

#4 - Nov 16, 2018 10:10 AM - Roberto Cirillo

- Status changed from New to Planned

#5 - Nov 19, 2018 02:29 PM - Roberto Cirillo

- Status changed from Planned to In Progress

#6 - Nov 19, 2018 07:04 PM - Roberto Cirillo
- Status changed from In Progress to Completed

- % Done changed from 0 to 100
